<?php

// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Get Contexts Web Service external functions and service definitions.
 *
 * @package    localgetcontexts
 * @copyright  2012 Francois Jacquet
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

// We defined the web service functions to install.
$functions = array(
        'local_getcontexts_get_contexts' => array(
                'classname'   => 'local_getcontexts_external',
                'methodname'  => 'get_contexts',
                'classpath'   => 'local/getcontexts/externallib.php',
                'description' => 'Returns contexts providing context level and instance ID',
                'type'        => 'read',
        )
);
